-- ##########################################
-- #	Rotate Trailer Objects				#
-- #	version: 1.0						#
-- #	date: 21.08.2016					#
-- #	last update: -						#
-- #	author: [FSM]Chefkoch				#
-- #	hp: http://fsm-team.de				#
-- #										#
-- # 	Keine Veränderung ohne				# 
-- # 	meine Erlaubnis!					#
-- # 	No modification without				# 
-- # 	my permission!						#
-- #										#
-- #	history:							#
-- #	v1.0	Project started				#
-- #										#
-- #	Thx 2: webby and Michi77			#
-- #										#
-- ########################################## 	

rotateTrailerOBJs = {};

function rotateTrailerOBJs.prerequisitesPresent(specializations)
    return true;
end;

function rotateTrailerOBJs:load(xmlFile)
	self.rtOBJ1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.rotTrailerObjs.rtOBJ1#index"));
	self.rtOBJ2 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.rotTrailerObjs.rtOBJ2#index"));
end;

function rotateTrailerOBJs:delete()
end;

function rotateTrailerOBJs:mouseEvent(posX, posY, isDown, isUp, button)
end;

function rotateTrailerOBJs:keyEvent(unicode, sym, modifier, isDown)
end;

function rotateTrailerOBJs:readStream(streamId, connection)
end;

function rotateTrailerOBJs:writeStream(streamId, connection)
end;

function rotateTrailerOBJs:readStreamUpdate(streamId, connection)
end;

function rotateTrailerOBJs:writeStreamUpdate(streamId, connection)
end;

function rotateTrailerOBJs:updateTick(dt)
end;

function rotateTrailerOBJs:update(dt)
	if self.attacherVehicle ~= nil  and self.attacherVehicle.isMotorStarted then
     rotate(self.rtOBJ1, 0 ,dt*0.031 , 0, 0 );
	 rotate(self.rtOBJ2, 0 ,dt*0.03 , 0, 0 );
	end;
end;

function rotateTrailerOBJs:draw()
end;

